Bug 1459272 - Backport hotkey event support for 2017 thinkpad models
Backport hotkey event support for 2017 thinkpad models
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
26
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-06 13:03 EDT by Christian Kellner
Modified: 2017-06-14 03:23 EDT (History)
7 users (show)

See Also:
Fixed In Version: kernel-4.11.4-300.fc26 kernel-4.11.4-200.fc25
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-13 09:35:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Guard generic hotkey case (first patch of two) (2.83 KB, application/mbox)
2017-06-06 13:03 EDT, Christian Kellner
no flags Details
Add mapping for new hotkeys (5.36 KB, patch)
2017-06-06 13:04 EDT, Christian Kellner
no flags Details | Diff

  None (edit)
Description Christian Kellner 2017-06-06 13:03:59 EDT
Created attachment 1285471 [details]
Guard generic hotkey case (first patch of two)

Two patches, already in the 4.12 tree, are necessary to enable support for the new FN keys on the 2017 Lenovo models (e.g. T470s). Two of them need userland support to do something more useful, but one is an rfkill button for bluetooth.
Comment 1 Christian Kellner 2017-06-06 13:04 EDT
Created attachment 1285472 [details]
Add mapping for new hotkeys
Comment 2 Fedora Update System 2017-06-08 13:37:37 EDT
kernel-4.11.4-100.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6554692044
Comment 3 Fedora Update System 2017-06-08 13:39:12 EDT
kernel-4.11.4-200.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-541c2b2a47
Comment 4 Fedora Update System 2017-06-08 13:40:27 EDT
kernel-4.11.4-300.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-13b9c6e1bf
Comment 5 Fedora Update System 2017-06-09 09:31:54 EDT
kernel-4.11.4-100.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6554692044
Comment 6 Fedora Update System 2017-06-09 09:41:07 EDT
kernel-4.11.4-200.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-541c2b2a47
Comment 7 Fedora Update System 2017-06-09 21:10:44 EDT
kernel-4.11.4-300.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-13b9c6e1bf
Comment 8 Fedora Update System 2017-06-13 09:35:52 EDT
kernel-4.11.4-300.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2017-06-13 15:56:18 EDT
kernel-4.11.4-100.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2017-06-14 03:23:42 EDT
kernel-4.11.4-200.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.